
window.addEventListener("load", function() {
    setTimeout(loaded, 100);
    setTimeout(updateLocation, 100);
    setTimeout(function(){ new iScroll(document.getElementById('scroller'))}, 100);
}, false);

function loaded() {
    window.scrollTo(0, 1); // pan to the bottom, hides the location bar
}

function updateOrientation()
{
    switch(window.orientation)
    {
        case 0:
            document.getElementById("toolbar").style.top = window.pageYOffset + "px";
            document.getElementById("footer").style.top =  480 + (window.pageYOffset - 32 - 20) +  "px";
            document.getElementById("pageBuckett").style.top = document.getElementById("toolbar").style.top + 32 +  "px";
            document.getElementById("pageBuckett").style.height = 396 + "px";
            break;

        case -90:
            document.getElementById("toolbar").style.top = window.pageYOffset + "px";
            document.getElementById("footer").style.top =  320 + (window.pageYOffset - 32 - 20) +  "px";
            document.getElementById("pageBuckett").style.top = document.getElementById("toolbar").style.top + 32 +  "px";
            document.getElementById("pageBuckett").style.height = 236+ "px";
            break;

        case 90:
            document.getElementById("toolbar").style.top = window.pageYOffset + "px";
            document.getElementById("footer").style.top =  320 + (window.pageYOffset - 32 - 20) +  "px";
            document.getElementById("pageBuckett").style.top = document.getElementById("toolbar").style.top + 32 +  "px";
            document.getElementById("pageBuckett").style.height = 236+ "px";
            break;

        case 180:
            break;
    }
}

var watchId; //to watch location updates

function updateLocation() {
    watchId = navigator.geolocation.watchPosition(updateGPSLocation, showError, {
        enableHighAccuracy:true,
        maximumAge:2000
    });//getCurrentPosition
}

function showError(error) {
//alert(error.code + ' ' + error.message);
}

function updateGPSLocation(position) {
    //document.getElementById('lat').value = position.coords.latitude;
    //document.getElementById('lon').value = position.coords.longitude;
    xmlhttp=new XMLHttpRequest();
    xmlhttp.open("GET", "updateGPSLocation.php?lon=" + position.coords.longitude + "&lat=" + position.coords.latitude + "&acc=" + position.coords.accuracy + "&username=" + document.getElementById('username').value, false);
    xmlhttp.send(null);
}

function stopPositionWatch() {
    navigator.geolocation.clearWatch(watchId);
}

function getTasks(){ //get tasks based on Beacon ID
    xmlhttp=new XMLHttpRequest();
    xmlhttp.open("GET", "getTask.php?username=" + document.getElementById('username').value, false);
    xmlhttp.send(null);
    var result = xmlhttp.responseText;
    document.getElementById('tasklist').innerHTML = result;
}
var oldTasks = "";
function executeTask(taskid, command){
    //clearInterval(myTimer);
    xmlhttp = new XMLHttpRequest();
    xmlhttp.open("GET", "http://homepage.cs.latrobe.edu.au/ccvo/executeTask.php?taskid=" + taskid + "&command=" + command + "&username=" + document.getElementById('username').value, false);
    xmlhttp.send(null);
    var result = xmlhttp.responseText;
    if(oldTasks != result){
        oldTasks = result;
        document.getElementById('tasklist').innerHTML = result;
    }
}

function executeTask(taskid){
    //clearInterval(myTimer);
    xmlhttp = new XMLHttpRequest();
    xmlhttp.open("GET", "http://homepage.cs.latrobe.edu.au/ccvo/executeTask.php?taskid=" + taskid + "&command=" + "command" + "&username=" + document.getElementById('username').value, false);
    xmlhttp.send(null);
    //var result = xmlhttp.responseText;
    //document.getElementById('tasklist').innerHTML = result;
}
var myTimer = setInterval("getTasks()", 1000);  //ask the server for tasks every 1 second